Don't install nodejs-legacy on Ubuntu 18.04
authorTom Hughes <tom@compton.nu>
Tue, 26 Jun 2018 14:30:38 +0000 (15:30 +0100)
committerTom Hughes <tom@compton.nu>
Tue, 26 Jun 2018 14:30:38 +0000 (15:30 +0100)
cookbooks/nodejs/recipes/default.rb

index 0e616ea..87af7d6 100644 (file)
 # limitations under the License.
 #
 
-package "nodejs"
-package "nodejs-legacy"
-package "npm"
-package "g++"
-package "make"
+package %w[
+  nodejs
+  npm
+  g++
+  make
+]
+
+if node[:lsb][:release].to_f < 18.04
+  package "nodejs-legacy"
+end